CRAN Package Check Results for Package lmem.gwaser

Last updated on 2018-10-17 08:48:21 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-release-osx-x86_64 0.1.0 ERROR
r-oldrel-osx-x86_64 0.1.0 ERROR

Check Details

Version: 0.1.0
Check: R code for possible problems
Result: NOTE
    mq.g.diagnostics : mq_missinggenotype_plot: no visible global function
     definition for ‘plot.missing’
    Undefined global functions or variables:
     plot.missing
Flavor: r-release-osx-x86_64

Version: 0.1.0
Check: examples
Result: ERROR
    Running examples in ‘lmem.gwaser-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: mq.g.diagnostics
    > ### Title: Performs molecular markers quality diagnostics.
    > ### Aliases: mq.g.diagnostics
    >
    > ### ** Examples
    >
    > data (QA_geno)
    > data (QA_map)
    > data (QA_pheno)
    >
    > P.data <- QA_pheno
    > G.data <- QA_geno
    > map.data <- QA_map
    >
    > cross.data <- gwas.cross (P.data, G.data, map.data,
    + cross='gwas', heterozygotes=FALSE)
     --Read the following data:
     179 individuals
     811 markers
     3 phenotypes
    Warning in summary.cross(cross) :
     Some markers at the same position on chr 1,2,3,4,5,6,7; use jittermap().
     --Cross type: bc
    > summary (cross.data)
    Warning in summary.cross(cross.data) :
     Some markers at the same position on chr 1,2,3,4,5,6,7; use jittermap().
     Doubled haploids
    
     No. individuals: 179
    
     No. phenotypes: 3
     Percent phenotyped: 100 100 100
    
     No. chromosomes: 7
     Autosomes: 1 2 3 4 5 6 7
    
     Total markers: 811
     No. markers: 117 147 153 48 113 101 132
     Percent genotyped: 99.9
     Genotypes (%): AA:41.7 BB:58.3
    >
    > #Marker Quality
    >
    > mq.g.diagnostics (crossobj=cross.data,I.threshold=0.1,
    + p.val=0.01,na.cutoff=0.1)
    Error in plot.missing(crossobj) : could not find function "plot.missing"
    Calls: mq.g.diagnostics -> mq_missinggenotype_plot
    Execution halted
Flavor: r-release-osx-x86_64

Version: 0.1.0
Check: package dependencies
Result: ERROR
    Package required but not available: ‘LDheatmap’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-oldrel-osx-x86_64